- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.findings/bulkMute#try-it)

Kicks off an LRO to bulk mute findings for a parent based on a filter. The parent can be either an organization, folder or project. The findings matched by the filter will be muted after the LRO is done.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.findings.bulkMuteUpdate`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1/{parent=organizations/*}/findings:bulkMute`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, at which bulk action needs to be applied. Its format is `organizations/[organizationId]`, `folders/[folder_id]`, `projects/[projectId]`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string, "muteAnnotation": string, "muteState": enum (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/MuteState`) } ``` |

| Fields ||
|---|---|
| `filter` | `string` Expression that identifies findings that should be updated. The expression is a list of zero or more restrictions combined via logical operators `AND` and `OR`. Parentheses are supported, and `OR` has higher precedence than `AND`. Restrictions have the form `<field> <operator> <value>` and may have a `-` character in front of them to indicate negation. The fields map to those defined in the corresponding resource. The supported operators are: - `=` for all value types. - `>`, `<`, `>=`, `<=` for integer values. - `:`, meaning substring matching, for strings. The supported value types are: - string literals in quotes. - integer literals without quotes. - boolean literals `true` and `false` without quotes. |
| `muteAnnotation (deprecated)` | `string` This can be a mute configuration name or any identifier for mute/unmute of findings based on the filter. |
| `muteState` | ``enum (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/MuteState`)`` Optional. All findings matching the given filter will have their mute state set to this value. The default value is `MUTED`. Setting this to `UNDEFINED` will clear the mute state on all matching findings. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).